## OWacomp-1.0b5-SunOS-5.9_5.10-i386-200804221903.zip

=== SUNWguide/root/usr/openwin/demo/xview/psdraw/Makefile ===
#
# @(#)Makefile	2.7 92/08/25 Copyright 1991 Sun Microsystems
#
# This file is a product of Sun Microsystems, Inc. and is provided for
# unrestricted use provided that this legend is included on all tape
# media and as a part of the software program in whole or part.  Users
# may copy or modify this file without charge, but are not authorized to
# license or distribute it to anyone else except as part of a product
# or program developed by the user.
# 
# THIS FILE IS PROVIDED AS IS WITH NO WARRANTIES OF ANY KIND INCLUDING THE
# WARRANTIES OF DESIGN, MERCHANTIBILITY AND FITNESS FOR A PARTICULAR
# PURPOSE, OR ARISING FROM A COURSE OF DEALING, USAGE OR TRADE PRACTICE.
# 
# This file is provided with no support and without any obligation on the
# part of Sun Microsystems, Inc. to assist in its use, correction,
# modification or enhancement.
# 
# SUN MICROSYSTEMS, INC. SHALL HAVE NO LIABILITY WITH RESPECT TO THE
# INFRINGEMENT OF COPYRIGHTS, TRADE SECRETS OR ANY PATENTS BY THIS FILE
# OR ANY PART THEREOF.
# 
# In no event will Sun Microsystems, Inc. be liable for any lost revenue
# or profits or other special, indirect and consequential damages, even
# if Sun has been advised of the possibility of such damages.
# 
# Sun Microsystems, Inc.
# 2550 Garcia Avenue
# Mountain View, California  94043
#

# Switch build environment based on OS.  Automatically switches
# for 4.1.x or 5.X builds.  Override with:
#
# setenv TARGET_SYS SUNOS	-> SunOS 4.1.1 build
# setenv TARGET_SYS SVR4	-> SunOS 5.0 build
#
# Use $TARG_SYS for OS dependent variables
#
TARG_SYS:sh = \
 (					\
   case ${TARGET_SYS}			\
   in ?*) echo ${TARGET_SYS};		\
          exit 0;;			\
   esac;				\
   UNAME=` uname -r 2>/dev/null` ||.;	\
   case $UNAME in			\
   '') echo SUNOS;;			\
   4.*) echo SUNOS;;			\
   *)  echo SVR4;;			\
   esac					\
 )

# If OPENWINHOME is set, then use that location to
# search for the include files and library files. If
# it is not set, then use /usr/openwin.
WIN_HOME:sh = \
 (					\
  case ${OPENWINHOME}			\
  in ?*) echo ${OPENWINHOME};;		\
      *) echo "/usr/openwin";;		\
  esac;					\
 )

# Parameters.

PROGRAM = psdraw
SOURCES.c = psdraw.c
SOURCES.h = point.pr line.pr rectangle.pr circle.pr ellipse.pr text.pr  \
	    hold.pr join.pr
SOURCES.cps = psdraw.cps
SOURCES.G = psdraw.G
STUBS.G =

# Derived parameters.

SOURCES = \
	$(SOURCES.G) \
	$(SOURCES.h) \
	$(SOURCES.l) \
	$(SOURCES.y) \
	$(SOURCES.cps) \
	$(SOURCES.c)

TARGETS.c = \
	$(SOURCES.G:%.G=%_ui.c) \
	$(STUBS.G:%.G=%_stubs.c)

TARGETS.h = \
	$(SOURCES.G:%.G=%_ui.h) \
	$(SOURCES.l:%.l=%.h) \
	$(SOURCES.y:%.y=%.h) \
	$(SOURCES.cps:%.cps=%.h)

TARGETS.other = \
	$(SOURCES.G:%.G=%.info)

TARGETS = \
	$(TARGETS.other) \
	$(TARGETS.h) \
	$(TARGETS.c)

OBJECTS = \
	$(SOURCES.c:%.c=%.o) \
	$(TARGETS.c:%.c=%.o)

# Compiler flags.

SUNOS_CPPFLAGS += -DSUNOS41 
SVR4_CPPFLAGS += -DSVR4
SVR4_LDFLAGS += -R$(WIN_HOME)/lib
SUNOS_LDLIBS = 
SVR4_LDLIBS = -lsocket -lnsl -lintl

CFLAGS += -g
CPPFLAGS += -I$(GUIDEHOME)/include -I$(WIN_HOME)/include -DMAIN $($(TARG_SYS)_CPPFLAGS)
LDFLAGS += $($(TARG_SYS)_LDFLAGS) -L$(GUIDEHOME)/lib -L$(WIN_HOME)/lib
LDLIBS += -lguidexv -lxvps -lxview -lolgx -lX11 -lcps -lm $($(TARG_SYS)_LDLIBS)

# Standard targets.

all:	 $(TARGETS.other) $(PROGRAM)
objects: $(SOURCES.c) $(TARGETS.c) $(TARGETS.h) $(OBJECTS)
sources: $(SOURCES)
targets: $(SOURCES) $(TARGETS)

$(PROGRAM): $(SOURCES.c) $(TARGETS.c) $(TARGETS.h) $(OBJECTS)
	$(RM) $(PROGRAM)
	$(LINK.c) -o $@ $(OBJECTS) $(LDLIBS)

# Targets to be used by Saber-C.

saber_src:
	#load $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $(TARGET_ARCH) \
		$(SOURCES.c) $(TARGETS.c) $(LDLIBS)

saber_obj:
	#load $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $(TARGET_ARCH) $(OBJECTS) $(LDLIBS)

clean:
	$(RM) $(SOURCES.G:%.G=%_ui.c) $(TARGETS.other) $(TARGETS.h) $(OBJECTS) *.BAK *.delta core

scour:
	$(RM) $(TARGETS.c) $(TARGETS.other) $(TARGETS.h) $(PROGRAM).db $(OBJECTS) *.BAK *.delta $(PROGRAM) Makefile core

%_ui.c: %.G
	$(GUIDEHOME)/bin/gxv  $*

%_ui.h: %_ui.c
	@touch $@

%_stubs.c: %_ui.c
	@touch $@

%.info: %_ui.c
	@touch $@

=== SUNWguide/root/usr/openwin/demo/xview/rasview/Makefile ===
#
# @(#)Makefile	2.11 91/10/15 Copyright 1989 Sun Microsystems
#
# This file is a product of Sun Microsystems, Inc. and is provided for
# unrestricted use provided that this legend is included on all tape
# media and as a part of the software program in whole or part.  Users
# may copy or modify this file without charge, but are not authorized to
# license or distribute it to anyone else except as part of a product
# or program developed by the user.
# 
# THIS FILE IS PROVIDED AS IS WITH NO WARRANTIES OF ANY KIND INCLUDING THE
# WARRANTIES OF DESIGN, MERCHANTIBILITY AND FITNESS FOR A PARTICULAR
# PURPOSE, OR ARISING FROM A COURSE OF DEALING, USAGE OR TRADE PRACTICE.
# 
# This file is provided with no support and without any obligation on the
# part of Sun Microsystems, Inc. to assist in its use, correction,
# modification or enhancement.
# 
# SUN MICROSYSTEMS, INC. SHALL HAVE NO LIABILITY WITH RESPECT TO THE
# INFRINGEMENT OF COPYRIGHTS, TRADE SECRETS OR ANY PATENTS BY THIS FILE
# OR ANY PART THEREOF.
# 
# In no event will Sun Microsystems, Inc. be liable for any lost revenue
# or profits or other special, indirect and consequential damages, even
# if Sun has been advised of the possibility of such damages.
# 
# Sun Microsystems, Inc.
# 2550 Garcia Avenue
# Mountain View, California  94043
#

# Switch build environment based on OS.  Automatically switches
# for 4.1.x or 5.X builds.  Override with:
#
# setenv TARGET_SYS SUNOS	-> SunOS 4.1.1 build
# setenv TARGET_SYS SVR4	-> SunOS 5.0 build
#
# Use $TARG_SYS for OS dependent variables
#
TARG_SYS:sh = \
 (					\
   case ${TARGET_SYS}			\
   in ?*) echo ${TARGET_SYS};		\
          exit 0;;			\
   esac;				\
   UNAME=` uname -r 2>/dev/null` ||.;	\
   case $UNAME in			\
   '') echo SUNOS;;			\
   4.*) echo SUNOS;;			\
   *)  echo SVR4;;			\
   esac					\
 )

# If OPENWINHOME is set, then use that location to
# search for the include files and library files. If
# it is not set, then use /usr/openwin.
WIN_HOME:sh = \
 (					\
  case ${OPENWINHOME}			\
  in ?*) echo ${OPENWINHOME};;		\
      *) echo "/usr/openwin";;		\
  esac;					\
 )

# Parameters.

PROGRAM = rasview
SOURCES.c = rasview.c
SOURCES.h = drag_cursor.xbm drop_cursor.xbm 
SOURCES.G = rasview.G
STUBS.G =

# Derived parameters.

SOURCES = \
	$(SOURCES.G) \
	$(SOURCES.h) \
	$(SOURCES.l) \
	$(SOURCES.y) \
	$(SOURCES.c)

TARGETS.c = \
	$(SOURCES.G:%.G=%_ui.c) \
	$(STUBS.G:%.G=%_stubs.c)

TARGETS.h = \
	$(SOURCES.G:%.G=%_ui.h) \
	$(SOURCES.l:%.l=%.h) \
	$(SOURCES.y:%.y=%.h)

TARGETS.other = \
	$(SOURCES.G:%.G=%.info)

TARGETS = \
	$(TARGETS.other) \
	$(TARGETS.h) \
	$(TARGETS.c)

OBJECTS = \
	$(SOURCES.c:%.c=%.o) \
	$(TARGETS.c:%.c=%.o)

# Compiler flags.

SUNOS_CPPFLAGS += -DSUNOS41 
SVR4_CPPFLAGS += -DSVR4
SVR4_LDFLAGS += -R$(WIN_HOME)/lib
SUNOS_LDLIBS = 
SVR4_LDLIBS = -lsocket -lnsl -lintl

CFLAGS += -g
CPPFLAGS += -I$(GUIDEHOME)/include -I$(WIN_HOME)/include -DMAIN $($(TARG_SYS)_CPPFLAGS)
LDFLAGS += $($(TARG_SYS)_LDFLAGS) -L$(GUIDEHOME)/lib -L$(WIN_HOME)/lib
LDLIBS += -lguidexv -lguide -lxview -lolgx -lX11 $($(TARG_SYS)_LDLIBS)

# Standard targets.

all:	 $(TARGETS.other) $(PROGRAM)
objects: $(SOURCES.c) $(TARGETS.c) $(TARGETS.h) $(OBJECTS)
sources: $(SOURCES)
targets: $(SOURCES) $(TARGETS)

$(PROGRAM): $(SOURCES.c) $(TARGETS.c) $(TARGETS.h) $(OBJECTS)
	$(RM) $(PROGRAM)
	$(LINK.c) -o $@ $(OBJECTS) $(LDLIBS)

# Targets to be used by Saber-C.

saber_src:
	#load $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $(TARGET_ARCH) \
		$(SOURCES.c) $(TARGETS.c) $(LDLIBS)

saber_obj:
	#load $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $(TARGET_ARCH) $(OBJECTS) $(LDLIBS)

clean:
	$(RM) $(SOURCES.G:%.G=%_ui.c) $(TARGETS.other) $(TARGETS.h) $(OBJECTS) *.BAK *.delta core

%_ui.c: %.G
	$(GUIDEHOME)/bin/gxv  $*

%_ui.h: %_ui.c
	@touch $@

%_stubs.c: %_ui.c
	@touch $@

%.info: %_ui.c
	@touch $@

=== SUNWguide/root/usr/openwin/share/src/libgolit/Makefile ===
#
# @(#)Makefile	2.5 91/10/15 Copyright 1991 Sun Microsystems
#
# This file is a product of Sun Microsystems, Inc. and is provided for
# unrestricted use provided that this legend is included on all tape
# media and as a part of the software program in whole or part.  Users
# may copy or modify this file without charge, but are not authorized to
# license or distribute it to anyone else except as part of a product
# or program developed by the user.
# 
# THIS FILE IS PROVIDED AS IS WITH NO WARRANTIES OF ANY KIND INCLUDING THE
# WARRANTIES OF DESIGN, MERCHANTIBILITY AND FITNESS FOR A PARTICULAR
# PURPOSE, OR ARISING FROM A COURSE OF DEALING, USAGE OR TRADE PRACTICE.
# 
# This file is provided with no support and without any obligation on the
# part of Sun Microsystems, Inc. to assist in its use, correction,
# modification or enhancement.
# 
# SUN MICROSYSTEMS, INC. SHALL HAVE NO LIABILITY WITH RESPECT TO THE
# INFRINGEMENT OF COPYRIGHTS, TRADE SECRETS OR ANY PATENTS BY THIS FILE
# OR ANY PART THEREOF.
# 
# In no event will Sun Microsystems, Inc. be liable for any lost revenue
# or profits or other special, indirect and consequential damages, even
# if Sun has been advised of the possibility of such damages.
# 
# Sun Microsystems, Inc.
# 2550 Garcia Avenue
# Mountain View, California  94043
#

SOURCES.c = \
	libgolit.c \
	Group.c

SOURCES.h = \
	libgolitI.h \
	libgolit.h \
	GroupP.h \
	Group.h

LIBRARY = libgolit.a

PROJECTDIR = ../..
LINTFLAGS += -u
CPPFLAGS += -I.
SOURCES = \
	$(SOURCES.G) \
	$(SOURCES.h) \
	$(SOURCES.c)

TARGETS.c = \
	$(SOURCES.G:%.G=%_ui.c) \
	$(STUBS.G:%.G=%_stubs.c)

TARGETS.h = \
	$(SOURCES.G:%.G=%_ui.h) \
	$(SOURCES.l:%.l=%.h) \
	$(SOURCES.y:%.y=%.h)

TARGETS.other =	\
	$(SOURCES.G:%.G=%.info)

TARGETS = \
	$(TARGETS.other) \
	$(TARGETS.h) \
	$(TARGETS.c)

OBJECTS = \
	$(SOURCES.c:%.c=%.o) \
	$(TARGETS.c:%.c=%.o)

LIBRARY = libgolit.a

PROJECTDIR = $(GUIDEHOME)
DESTDIR = $(PROJECTDIR)

# Compiler flags.

CFLAGS += -g
CPPFLAGS += -I$(PROJECTDIR)/src/libguide -I$(PROJECTDIR)/src/libgolit -I$(OPENWINHOME)/include
G2C = $(GUIDEHOME)/bin/golit

# Make information.

.KEEP_STATE:
.PRECIOUS: $(LIBRARY)

# Standard targets.

all:	 $(SOURCES) $(TARGETS) $(LIBRARY) $(PROGRAM)
objects: $(SOURCES.c) $(TARGETS.c) $(TARGETS.h) $(OBJECTS)
sources: $(SOURCES)
targets: $(SOURCES) $(TARGETS)

%_ui.c + %_ui.h + %_stubs.c + %.info: %.G 
	$(G2C) -s $*

$(LIBRARY): $(LIBRARY)($(OBJECTS))
	ar rv $@ $?
	ranlib $@
	rm -f $?

$(LIBRARY)(%.o): %.c
	$(COMPILE.c) $< $(OUTPUT_OPTION)

install: all
	@-sccs check
	install -d $(DESTDIR)/lib
	install -m 664 $(LIBRARY) $(DESTDIR)/lib
	(cd $(DESTDIR)/lib ; ranlib -t $(LIBRARY) ; chmod 444 $(LIBRARY))

clean:
	$(RM) $(TARGETS) $(OBJECTS) $(SOURCES.G:%.G=%_stubs.c) core

=== SUNWolsrc/root/usr/openwin/share/src/olit/Makefile ===
#
# @(#)Makefile.customer	1.17 91/07/26  SMI
#
# Makefile for the Olit example programs
#
 
SUBDIRS =	oldials \
		olitbook \
		olitsampler
 
all:
		-@for i in ${SUBDIRS}; do \
		(       echo "<<< Descending into directory: $$i >>>"; \
			cd $$i; \
			${MAKE} ${MFLAGS} all; \
			cd ..; \
		); done
 
clean:
		-@for i in ${SUBDIRS}; do \
		(       echo "<<< Descending into directory: $$i >>>"; \
			cd $$i; \
			${MAKE} ${MFLAGS} clean; \
			cd ..; \
		); done

=== SUNWolsrc/root/usr/openwin/share/src/apps/Ftptool4.6pl2/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.89 94/08/12 00:45:51 gildea Exp $

# -----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and </tmp/IIf.x0R8h_>
# $XConsortium: Imake.tmpl,v 1.219 94/05/13 15:58:31 matt Exp $
# $SunSoft: @(#)Imake.tmpl	1.1 01/13/97 16:16:22 $
#

# **************************************************************************
# NOTE:
#
# If the user does not define DESTDIR and/or BINDIR in the local Imakefile,
# 'make install' will install the resultant binaries in /usr/openwin/bin.
# This usually fails because of lack of write permission in that directory
# for non-root users.
#
# The reason is that the default definition of ProjectRoot is /usr/openwin.
# This value determines all other definitions, e.g. the binary, library and
# manual page directories, etc.  The destination directory, DESTDIR, is not
# defined and BINDIR is defined as $(ProjectRoot)/bin in Project.tmpl.
#
# Care must be taken when changing ProjectRoot.  It affects the inclusion
# path of 'imake' in finding the *.cf, *.def, *.tmpl and *.rules files,
# which are in /usr/openwin/lib/X11/config/, and the default inclusion path
# of X11 header files and libraries. Therefore, if ProjectRoot is changed
# not only these configuration files need to be copied to a proper location,
# defined by IRULESRC, so 'make Makefile' can work properly, the header file
# inclusion path, /usr/openwin/include, and the library search path,
# /usr/openwin/lib, also need to be defined properly either in the local
# Imakefile or one of the configuration files to avoid compilation errors
# for programs that use X11 header files or libraries.
#
# Please refer to Project.tmpl, Imake.tmpl, site.def, etc. in
# /usr/openwin/lib/X11/config/ for details.
# **************************************************************************

.SUFFIXES: .i

# $XConsortium: Imake.cf,v 1.12 94/03/29 15:42:08 gildea Exp $
# $SunSoft: @(#)Imake.cf	1.1 01/13/97 16:16:21 $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.11 94/06/03 19:50:12 matt Exp $
# site:  $SunSoft: @(#)site.def	1.1 01/13/97 16:16:27$

# -----------------------------------------------------------------------
# platform-specific configuration parameters - edit sun.cf to change

# platform:  $XConsortium: sun.cf,v 1.133 94/07/08 12:23:12 gildea Exp $
# platform:  $SunSoft: @(#)sun.cf	1.1 01/13/97 16:16:27 $

# operating system:  SunOS 5.6

# SUNSOFT SUNSOFT_LOADABLE

# $XConsortium: svr4.cf,v 1.6 94/04/08 18:56:33 rws Exp $
# $SunSoft: @(#)svr4.cf	1.1 01/13/97 16:16:29 $

# $XConsortium: sv4Lib.rules,v 1.14 94/04/09 12:00:10 rws Exp $
# $SunSoft: @(#)sv4Lib.rules	1.1 01/13/97 16:16:28 $

# SUNSOFT SUNSOFT_LOADABLE

# -----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.11 94/06/03 19:50:12 matt Exp $
# site:  $SunSoft: @(#)site.def	1.1 01/13/97 16:16:27$

# -----------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $XConsortium: Imake.rules,v 1.193 94/04/10 17:39:55 rws Exp $
# rules:  $SunSoft: @(#)Imake.rules	1.1 01/13/97 16:16:21 $

# SUNSOFT SUNSOFT_LOADABLE

          PATHSEP = /
            SHELL = /bin/sh

              TOP = .
      CURRENT_DIR = .

            IMAKE = imake
           DEPEND = makedepend
        MKDIRHIER = mkdirhier
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/makedepend
           IXXSRC = $(UNSUPPORTEDSRC)/programs/ixx
              IXX = ixx
         IXXFLAGS = -s BaseObject -m TypeObj -r RequestObj -p Xf
      IXXINCLUDES = -i '<X11/Fresco/enter-scope.h>'

          INCROOT = /usr/openwin/include
        USRLIBDIR = /usr/openwin/lib
         SHLIBDIR = /usr/openwin/lib
       LINTLIBDIR = $(USRLIBDIR)
          MANPATH = /usr/openwin/share/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)1
        LIBMANDIR = $(MANSOURCEPATH)3
       FILEMANDIR = $(MANSOURCEPATH)$(FILEMANSUFFIX)

               AR = /usr/ccs/bin/ar cq
  BOOTSTRAPCFLAGS = -DSVR4
               CC = cc
               AS = /usr/ccs/bin/as

         COMPRESS = compress
              CPP = /usr/ccs/lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = cc -E $(STD_CPP_DEFINES)
          INSTALL = /usr/ucb/install
     INSTALLFLAGS = -c
               LD = /usr/ccs/bin/ld
              LEX = /usr/ccs/bin/lex
           LEXLIB = -ll
             YACC = /usr/ccs/bin/yacc
           CCYACC = /usr/ccs/bin/yacc
             LINT = lint
      LINTLIBFLAG = -o
         LINTOPTS = -b -h -Xc
               LN = ln -s
             MAKE = /usr/ccs/bin/make
               MV = mv
               CP = cp

               RM = rm -f
        MANSUFFIX = 1
     LIBMANSUFFIX = 3
    FILEMANSUFFIX = 4
            TROFF = psroff
         MSMACROS = -ms
              TBL = tbl
              EQN = eqn

            DVIPS = dvips
            LATEX = latex

     STD_INCLUDES =
  STD_CPP_DEFINES = -Dsun -Dsparc -DSVR4 -DSYSV
      STD_DEFINES = -Dsun -Dsparc -DSVR4 -DSYSV
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES = -lsocket -lnsl
             TAGS = ctags

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS = -G -z text -M mapfile

         PICFLAGS = -Kpic

      CXXPICFLAGS = -K PIC

    PROTO_DEFINES =

     INSTPGMFLAGS =

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4755
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0644
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -g sys -m 2755

      PROJECTROOT = /usr/openwin

     TOP_INCLUDES = -I$(INCROOT)

      CDEBUGFLAGS = -pipe -O3
        CCOPTIONS = -pipe -O3

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)

           LDLIBS = $(LDPOSTLIB) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

       CCENVSETUP = LD_RUN_PATH=$(USRLIBDIR)
           CCLINK = $(CCENVSETUP) $(CC)

      CXXENVSETUP = LD_RUN_PATH=$(USRLIBDIR)
          CXXLINK = $(CXXENVSETUP) $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =

        MACROFILE = sun.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/Project.tmpl \
			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) \
			 $(EXTRA_ICONFIGFILES)

# -----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $XConsortium: Project.tmpl,v 1.242 94/04/13 14:58:40 rws Exp $
# $SunSoft: @(#)Project.tmpl	1.3 04/21/97 16:46:25 $

# SUNSOFT SUNSOFT_LOADABLE

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

           BINDIR = /usr/openwin/bin
     BUILDINCROOT = $(TOP)
      BUILDINCDIR = $(BUILDINCROOT)/X11
      BUILDINCTOP = ..
      BUILDLIBDIR = $(TOP)/usrlib
      BUILDLIBTOP = ..
           INCDIR = $(INCROOT)/X11
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(PROJECTROOT)/lib/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = rgb
            FONTC = bdftopcf
        MKFONTDIR = mkfontdir

       DOCUTILSRC = $(TOP)/doc/util
       XDOCMACROS = $(DOCUTILSRC)/macros.t
       XIDXMACROS = $(DOCUTILSRC)/indexmacros.t
       PROGRAMSRC = $(TOP)/programs
           LIBSRC = $(TOP)/lib
          FONTSRC = $(TOP)/fonts
       INCLUDESRC = $(TOP)/X11
        SERVERSRC = $(TOP)/programs/Xserver
       CONTRIBSRC = $(TOP)/../contrib
   UNSUPPORTEDSRC = $(TOP)/unsupported
           DOCSRC = $(TOP)/doc
           RGBSRC = $(TOP)/programs/rgb
      BDFTOPCFSRC = $(PROGRAMSRC)/bdftopcf
     MKFONTDIRSRC = $(PROGRAMSRC)/mkfontdir
    FONTSERVERSRC = $(PROGRAMSRC)/xfs
       FONTINCSRC = $(TOP)/include/fonts
        EXTINCSRC = $(TOP)/include/extensions
     TRANSCOMMSRC = $(LIBSRC)/xtrans
   TRANS_INCLUDES = -I$(TRANSCOMMSRC)

# $XConsortium: sunLib.tmpl,v 1.37 95/05/23 14:31:40 matt Exp $
# $SunSoft: @(#)sunLib.tmpl	1.2 02/06/97 16:06:36 $

# $XConsortium: sv4Lib.tmpl,v 1.19 93/12/03 10:48:36 kaleb Exp $
# $SunSoft: @(#)sv4Lib.tmpl	1.1 01/13/97 16:16:29 $

XMULIBONLY = -lXmu -lm
XMULIB = -lXmu -lm

       SERVERLIB = /usr/openwin/server/lib

	SERVERMODULES = /usr/openwin/server/modules

	SERVERETC = /usr/openwin/server/etc

SHLIBLDFLAGS = -G -z text -M mapfile
PICFLAGS = -Kpic
MAPFILE = mapfile

          XLIBSRC = $(LIBSRC)/X11

SOXLIBREV = 4
DEPXONLYLIB =
XONLYLIB =  -lX11

LINTXONLY = $(LINTLIBDIR)/llib-lX11.ln

         XLIBONLY = $(XONLYLIB)

      XEXTLIBSRC = $(LIBSRC)/Xext

SOXEXTREV = 0
DEPEXTENSIONLIB =
EXTENSIONLIB =  -lXext

LINTEXTENSION = $(LINTLIBDIR)/llib-lXext.ln

LINTEXTENSIONLIB = $(LINTEXTENSION)
          DEPXLIB = $(DEPEXTENSIONLIB) $(DEPXONLYLIB)
             XLIB = $(EXTENSIONLIB) $(XONLYLIB)
         LINTXLIB = $(LINTXONLYLIB)

         XAUTHSRC = $(LIBSRC)/Xau

DEPXAUTHLIB = $(USRLIBDIR)/libXau.a
XAUTHLIB =  -lXau

LINTXAUTH = $(LINTLIBDIR)/llib-lXau.ln

      XDMCPLIBSRC = $(LIBSRC)/Xdmcp

DEPXDMCPLIB = $(USRLIBDIR)/libXdmcp.a
XDMCPLIB =  -lXdmcp

LINTXDMCP = $(LINTLIBDIR)/llib-lXdmcp.ln

           XMUSRC = $(LIBSRC)/Xmu

SOXMUREV = 4
DEPXMULIB =
XMULIB =  -lXmu

LINTXMU = $(LINTLIBDIR)/llib-lXmu.ln

XMULIB =  -lXmu -lm

          XCONFIGSRC = $(LIBSRC)/Xconfig

SOXCONFIGREV = 0
DEPXCONFIGLIB =
XCONFIGLIB =  -lXconfig

LINTXCONFIG = $(LINTLIBDIR)/llib-lXconfig.ln

          DGASRC = $(LIBSRC)/dga

SODGAREV = 1
DEPDGASRCLIB =
DGASRCLIB =  -ldga

LINTDGASRC = $(LINTLIBDIR)/llib-ldga.ln

          MISRC = $(SERVERSRC)/mi

SOMIREV = 1
DEPMILIB =
MILIB =  -lmi

LINTMI = $(LINTLIBDIR)/llib-lmi.ln

          MFBSRC = $(SERVERSRC)/mfb

SOMFBREV = 1
DEPMFBLIB =
MFBLIB =  -lmfb

LINTMFB = $(LINTLIBDIR)/llib-lmfb.ln

          CFBSRC = $(SERVERSRC)/cfb

SOCFBREV = 1
DEPCFBLIB =
CFBLIB =  -lcfb

LINTCFB = $(LINTLIBDIR)/llib-lcfb.ln

       OLDXLIBSRC = $(LIBSRC)/oldX

SOOLDXREV = 6
DEPOLDXLIB =
OLDXLIB =  -loldX

LINTOLDX = $(LINTLIBDIR)/llib-loldX.ln

       TOOLKITSRC = $(LIBSRC)/Xt

SOXTREV = 4
DEPXTOOLONLYLIB =
XTOOLONLYLIB =  -lXt

LINTXTOOLONLY = $(LINTLIBDIR)/llib-lXt.ln

      DEPXTOOLLIB = $(DEPXTOOLONLYLIB) $(DEPSMLIB) $(DEPICELIB)
         XTOOLLIB = $(XTOOLONLYLIB) $(SMLIB) $(ICELIB)
     LINTXTOOLLIB = $(LINTXTOOLONLYLIB)

       AWIDGETSRC = $(LIBSRC)/Xaw

SOXAWREV = 5
DEPXAWLIB =
XAWLIB =  -lXaw

LINTXAW = $(LINTLIBDIR)/llib-lXaw.ln

       XTFSRC = $(TOP)/workInProgress/Xtf

SOXTFREV = 0.7
DEPXTFLIB =
XTFLIB =  -lXtf

LINTXTF = $(LINTLIBDIR)/llib-lXtf.ln

       FRESCOSRC = $(TOP)/workInProgress/Fresco

SOFRESCOREV = 0.7
DEPFRESCOLIB =
FRESCOLIB =  -lFresco

=== SUNWolsrc/root/usr/openwin/share/src/apps/WorkMan-1.3.4.17/Makefile ===
# $Id: Makefile,v 1.10 1999/09/03 14:50:43 dirk Exp $
# 
# *sweat* ... This makefile is prone to confuse your development system.
#
#         _please_ send any corrections to milliByte@DeathsDoor if this
#         does not work as is.
#

# Set these to the locations of your XView include files and libraries.
#
OPENWINHOME = /usr/openwin

INCDIR = $(OPENWINHOME)/include
LIBDIR = $(OPENWINHOME)/lib

# Location of the X libraries
XLIBDIR = $(OPENWINHOME)/lib
# Set these to the directory names in which to install the software and
# help files.
BINDIR = $(OPENWINHOME)/bin
HLPDIR = $(OPENWINHOME)/lib/help

# Set this to the directory containing manual pages.  Manual pages will only
# be installed if you "make install.man".
MANDIR = $(OPENWINHOME)/man

# Set these to the manual sections (e.g. 1, 4, 5, l) for the program and
# database file manual pages, respectively.
PEXT = 1
DEXT = 5

#
# Uncomment and adjust the following if you want fast database lookups using
# the Berkeley libdb code.  You can find libdb on ftp.cs.berkeley.edu in the
# /ucb/4bsd directory.  Make sure you adjust the last part of DBCFLAGS
# to match your system type as listed in libdb's PORT directory.
# Sorry for the bad configurability this time...
#

#DBCFLAGS = -DLIBDB -Idb.1.85/PORT/include -Idb.1.85/PORT/linux
#DBLIB = db.1.85/PORT/linux/libdb.a

# And don't worry about anything from this line on.

############################################################################
# Parameters.

PROGRAM = workman
SOURCES.c = workman_stubs.c database.c cdinfo.c display.c setup.c \
	ui_cdinfo.c plat_sun.c plat_hpux.c plat_linux.c plat_news.c \
	plat_aix.c \
	plat_bsd386.c plat_ultrix.c cdrom.c scsi.c drv_toshiba.c drv_sony.c \
	plat_svr4.c plat_freebsd.c plat_osf1.c plat_irix.c \
	ui_goodies.c cddb.c index.c

SOURCES.h = struct.h workman_ui.h ui_cdinfo.h setup.h workman_stubs.h \
	display.h config.h proto.h cdrom.h plat_.h database.h \
	scsi.h cdinfo.h ui_goodies.h

OBJECTS = \
	$(SOURCES.c:%.c=%.o)

WBPROGRAM = workbone
WBSOURCES.c = workbone.c cdinfo.c \
	plat_sun.c plat_hpux.c plat_linux.c plat_news.c \
	plat_aix.c \
	plat_bsd386.c plat_ultrix.c cdrom.c scsi.c drv_toshiba.c drv_sony.c \
	plat_svr4.c plat_freebsd.c plat_osf1.c plat_irix.c

WBSOURCES.h = struct.h workbone.h config.h proto.h cdrom.h plat_.h \
	database.h cdinfo.h

WBOBJECTS = \
	$(WBSOURCES.c:%.c=%.o)


CDDASLAVE.c = cddaslave.c plat_sun_cdda.c plat_sun_audio.c \
	      plat_linux_cdda.c plat_linux_audio.c
CDDASLAVE.o = $(CDDASLAVE.c:%.c=%.o)

# Compiler flags.

CFLAGS = -pipe -DOWTOOLKIT_WARNING_DISABLED -O2 -Wall $(PASS) -DUSE_UI=1 -DCDDB_IN_UI -I$(INCDIR) # -fwritable-strings
CPPFLAGS = -I$(INCDIR)
LDFLAGS = -L$(LIBDIR) -L$(XLIBDIR) -R$(LIBDIR) -R$(XLIBDIR) $(LIBLOC)
LDLIBS = -lxview -lolgx -lX11 -lsocket -lnsl
WBLDLIBS =
CC = gcc

# Standard targets.

all:	 $(PROGRAM) $(PROGRAM).doc workmandb.doc

$(PROGRAM): $(SOURCES.c) $(OBJECTS)
	$(CC) $(CFLAGS) -I$(INCDIR) $(LDFLAGS) -o $@ $(OBJECTS) $(LDLIBS)

$(WBPROGRAM): $(WBSOURCES.c) $(WBOBJECTS)
	$(CC) $(CFLAGS) -I$(INCDIR) $(LDFLAGS) -o $@ $(WBOBJECTS) $(WBLDLIBS)

buildindex: buildindex.c
	$(CC) $(LDFLAGS) $(CFLAGS) -I$(INCDIR) $(DBCFLAGS) $< $(DBLIB) -o $@

cddaslave: $(CDDASLAVE.o)
	$(CC) $(CFLAGS) -I$(INCDIR) $(LDFLAGS) -o $@ $(CDDASLAVE.o) $(CDDALIBS)

clean:
	$(RM) $(OBJECTS) $(WBOBJECTS) $(CDDASLAVE.o) *.BAK *.delta core workman.doc workmandb.doc

install: $(PROGRAM)
	cp $(PROGRAM) $(BINDIR)

#	chown root $(BINDIR)/$(PROGRAM)
#	chmod 4755 $(BINDIR)/$(PROGRAM)

	cp $(PROGRAM).info $(HLPDIR)
	chmod 644 $(HLPDIR)/$(PROGRAM).info

install.man: workman.man workmandb.man $(MANDIR)/man$(PEXT) $(MANDIR)/man$(DEXT)
	cp workman.man $(MANDIR)/man$(PEXT)/workman.$(PEXT)
	chmod 644 $(MANDIR)/man$(PEXT)/workman.$(PEXT)
	cp workmandb.man $(MANDIR)/man$(DEXT)/workmandb.$(DEXT)
	chmod 644 $(MANDIR)/man$(DEXT)/workmandb.$(DEXT)

display.o: display.c workman_ui.h
setup.o: setup.c workman_ui.h
workman_stubs.o: workman_stubs.c workman_ui.h
ui_cdinfo.o: ui_cdinfo.c workman_ui.h
# This next one isn't completely true, but close enough
# $(OBJECTS): struct.h config.h
$(OBJECTS): $(SOURCES.h)
$(WBOBJECTS): $(WBSOURCES.h)

index.o: index.c
	$(CC) $(CFLAGS) $(DBCFLAGS) -c $<

$(PROGRAM).doc: $(PROGRAM).man
	nroff -man $(PROGRAM).man > $(PROGRAM).doc

workmandb.doc: workmandb.man
	nroff -man workmandb.man > workmandb.doc

#
# Build the DOCS subdirectory from the HTML sources.
#
docs:
	@cd HTML; for i in *.html; do \
		lynx -dump file://localhost`pwd`/$$i > ../DOCS/`basename $$i .html`; \
		echo Converted $$i; \
	done

=== SUNWolsrc/root/usr/openwin/share/src/apps/disktool-2.0c/Makefile ===
#
#	Makefile for "disktool"
#
# =============================================
#
# In the following section, you should uncomment the lines
# pertaining to your environment and make any path changes
# based on your installation.
#
# Configurable stuff here
#
#
#       SunOS 4.1.x(tested on 4.1.3_U1) uncomment the next 2 lines
#
#OPENWINHOME	= /usr/openwin
#AUX_CFLAGS	= -DSUNOS4
#
#       Solaris 2.x(tested on 2.3) uncomment the next 3 lines
#
OPENWINHOME	= /usr/openwin
AUX_CFLAGS	= -DSOLARIS2
OTHERLIBS	= -R/usr/openwin/lib -lnsl
#
#       HP-UX(tested on 9.07) uncomment the next 4 lines
#
#OPENWINHOME	= /usr/openwin
#AUX_CFLAGS	= -DHPUX
#XINCLUDES	= -I/usr/include/X11R5
#XLIBS		= -L/usr/lib/X11R5
#OTHERLIBS	= -lBSD
#
# FreeBSD(tested on 2.2.1) uncomment the next 2 lines
#
#OPENWINHOME	= /usr/X11R6
#AUX_CFLAGS	= -DFBSD
#
# End of Configurable stuff
#
# =============================================
#
CC		= gcc
#
OBJS	   	= disktool.o

CFILES		= disktool.c

INCLUDE 	= -I${OPENWINHOME}/include ${XINCLUDES}

CFLAGS		= ${INCLUDE} -c

# Change -O to -g for debugging purposes
LDFLAGS         = -pipe -O2


XVIEW_LIBS 	= -L${OPENWINHOME}/lib \
		  -lxview -lolgx -lX11

disktool:  ${OBJS} common.h
	${CC} ${LDFLAGS} -o $@ ${OBJS} ${XLIBS} ${XVIEW_LIBS} ${OTHERLIBS}

${OBJS}:   ${CFILES} common.h
	${CC} ${CFLAGS} ${AUX_CFLAGS} $*.c

clean:
	/bin/rm -f core disktool *.o

=== SUNWolsrc/root/usr/openwin/share/src/apps/faxtool-1.3/Makefile ===
#
#  Copyright (c) 1993 Thomas W. Corson
#  Copyright (c) 1993 VetMark Systems, Inc. d.b.a Information Dynamics
# 
#  Permission to use, copy, modify, distribute, and sell this software and 
#  its documentation for any purpose is hereby granted without fee, provided
#  that (i) the above copyright notices and this permission notice appear in
#  all copies of the software and related documentation, and (ii) the names of
#  Thomas W. Corson, VetMark Systems, or Information Dynamics may not be used 
#  in any advertising or publicity relating to the software without the 
#  specific, prior written permission of Thomas W. Corson and VetMark Systems.
#  
#  THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, 
#  EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY 
#  WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  
#  
#  IN NO EVENT SHALL THOMAS W. CORSON OR VETMARK SYSTEMS, INC. BE LIABLE FOR
#  ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
#  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
#  WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF 
#  LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE 
#  OF THIS SOFTWARE.
#
# This file was generated by `gxv' from `faxtool.G'.

# Parameters.

# This is the base directory for installation.
BASEDIR=/usr/local

# This is the directory where the binary will be installed.
BINDIR = $(BASEDIR)/bin

# This is the directory where the man pages will be installed.
MANDIR = $(BASEDIR)/man

# This is the directory where the online help files will be installed.
HELPDIR = $(BASEDIR)/lib/help

PROGRAM = faxtool
SOURCES.c = faxtool.c
SOURCES.h = faxtool.h
SOURCES.G = faxtool.G
STUBS.G = faxtool.G

PL_LOCALEDIR = locale/piglatin/LC_MESSAGES
EEC_LOCALEDIR = locale/EEC/LC_MESSAGES
I18N_LOCALEDIR = locale/I18N/LC_MESSAGES

VERSION = Linux
V_MAJOR = 1.3
V_MINOR = 32
DATE = 95/11/07
LANG = C

# Derived parameters.

SOURCES = \
	$(SOURCES.G) \
	$(SOURCES.h) \
	$(SOURCES.l) \
	$(SOURCES.y) \
	$(SOURCES.cps) \
	$(SOURCES.c)

TARGETS.c = \
	$(SOURCES.G:%.G=%_ui.c) \
	$(STUBS.G:%.G=%_stubs.c)

TARGETS.h = \
	$(SOURCES.G:%.G=%_ui.h) \
	$(SOURCES.l:%.l=%.h) \
	$(SOURCES.y:%.y=%.h) \
	$(SOURCES.cps:%.cps=%.h)

TARGETS.c.po = \
	$(SOURCES.c:%.c=%_labels.po) \
	$(TARGETS.c:%.c=%_labels.po)

TARGETS.c.mo = \
	$(TARGETS.c.po:%_labels.po=$(PL_LOCALEDIR)/%_labels.mo) \
	$(TARGETS.c.po:%_labels.po=$(EEC_LOCALEDIR)/%_labels.mo) \
	$(TARGETS.c.po:%_labels.po=$(I18N_LOCALEDIR)/%_labels.mo)

TARGETS.other = \
	$(TARGETS.c.po) \
	$(SOURCES.G:%.G=%.info)

TARGETS = \
	$(TARGETS.other) \
	$(TARGETS.h) \
	$(TARGETS.c)

OBJECTS = \
	$(SOURCES.c:%.c=%.o) \
	$(TARGETS.c:%.c=%.o)

RM = rm -rf
MV = mv -f

MP = makepo
MF = msgfmt

# Compiler flags.

.KEEP_STATE:

#
# If you are using gcc, comment out the above 2 defines and uncomment the 
# following 2 defines
#
CC = gcc
CFLAGS = -pipe -O2 -DSVR4

GXVFLAGS = -ansi -g -d faxtool_ui_labels
GUIDE_DIR = $(GUIDEHOME)

CPPFLAGS += -I$(GUIDE_DIR)/include -I$(OPENWINHOME)/include -DMAIN -DV_MAJOR=$(V_MAJOR) -DV_MINOR=$(V_MINOR)
#CPPFLAGS += -I/usr/local/src/faxtool-1.3/include/SunOS5 -I$(GUIDEHOME)/include -I$(OPENWINHOME)/include -DMAIN -DV_MAJOR=$(V_MAJOR) -DV_MINOR=$(V_MINOR)
LDFLAGS += -L$(GUIDEHOME)/lib -L$(OPENWINHOME)/lib

LDLIBS = -pipe -lguidexv -lguide -lxview -lolgx -lX11 -lc

debug:
	 CFLAGS = -g -DTRACE # -DSVR4

# Standard targets.

.INIT: lib include

all:	 $(TARGETS.other) $(PROGRAM) send-pr
objects: $(SOURCES.c) $(TARGETS.c) $(TARGETS.h) $(OBJECTS)
sources: $(SOURCES)
targets: $(SOURCES) $(TARGETS)

install: all
	if [ ! -d $(BINDIR) ]; then \
		mkdir -p $(BINDIR); \
	fi
	$(RM) $(BINDIR)/faxtool
	cp faxtool $(BINDIR)/faxtool
	chmod a+rx $(BINDIR)/faxtool
	if [ ! -d $(MANDIR)/man1 ]; then \
		mkdir -p $(MANDIR)/man1; \
	fi
	$(RM) $(MANDIR)/man1/faxtool.1
	cp faxtool.man $(MANDIR)/man1/faxtool.1
	chmod a+r $(MANDIR)/man1/faxtool.1
	if [ ! -d $(HELPDIR) ]; then \
		mkdir -p $(HELPDIR); \
	fi
	$(RM) $(HELPDIR)/faxtool.info
	cp faxtool.info $(HELPDIR)/faxtool.info
	chmod a+r $(HELPDIR)/faxtool.info
	if [ -d send-pr ]; then \
		cd send-pr; \
		make prefix=$(BASEDIR) install; \
		$(BASEDIR)/bin/install-sid net; \
		cd ..; \
	fi

$(PROGRAM) debug: $(SOURCES.c) $(TARGETS.c) $(TARGETS.h) $(OBJECTS)
	$(LINK.c) -o $(PROGRAM) $(OBJECTS) $(LDLIBS)

send-pr: FORCE
	if [ -d send-pr ]; then \
		cd send-pr; \
		make prefix=$(BASEDIR) all; \
		cd ..; \
	fi

dist:	$(SOURCES.c) $(SOURCES.h) $(SOURCES.G) $(STUBS.G) README faxtool.man
	if [ ! -d send-pr ]; then \
		mkdir send-pr; \
	else \
		cd send-pr; \
		make clean; \
	fi
	cd gnats; \
	chmod u+x mkdist; \
	mkdist ../send-pr $(VERSION); \
	cd ..
	$(RM) lib/*.a include/*.h
	tar cf faxtool$(VERSION).tar SCCS include lib *.icon faxtool.G *.c \
			 	     send-pr *.h faxtool.man *.info \
				     README Makefile VERSION

lib: FORCE
	@$(RM) -f $@/libguide.a; ln -s SunOS`uname -r | cut -c1`/libguide.a $@
	@$(RM) -f $@/libguidexv.a; ln -s SunOS`uname -r | cut -c1`/libguidexv.a $@

include: FORCE
	@$(RM) -f $@/c_varieties.h; ln -s SunOS`uname -r | cut -c1`/c_varieties.h $@
	@$(RM) -f $@/gcm.h; ln -s SunOS`uname -r | cut -c1`/gcm.h $@
	@$(RM) -f $@/gdd.h; ln -s SunOS`uname -r | cut -c1`/gdd.h $@
	@$(RM) -f $@/gfm.h; ln -s SunOS`uname -r | cut -c1`/gfm.h $@
	@$(RM) -f $@/gfm_ui.h; ln -s SunOS`uname -r | cut -c1`/gfm_ui.h $@
	@$(RM) -f $@/group.h; ln -s SunOS`uname -r | cut -c1`/group.h $@

locale:
	@test -d $@ || mkdir $@
	@test -d $@/piglatin/LC_MESSAGES || mkdir -p $@/piglatin/LC_MESSAGES
	@test -d $@/EEC/LC_MESSAGES || mkdir -p $@/EEC/LC_MESSAGES
	@test -d $@/I18N/LC_MESSAGES || mkdir -p $@/I18N/LC_MESSAGES

faxtool.man: faxtool.man.in
	sed -e 's/{VERSION}/$(VERSION)/g' \
	    -e 's@{DATE}@$(DATE)@g' faxtool.man.in > faxtool.man

README: README.in
	sed -e 's/{VERSION}/$(VERSION)/g' \
	    -e 's@{DATE}@$(DATE)@g' README.in > README

I18N-test: locale $(TARGETS.c.mo)

FORCE:

# Targets to be used by Saber-C.

saber_src:
	#load $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $(TARGET_ARCH) \
		$(SOURCES.c) $(TARGETS.c) $(LDLIBS)

saber_obj:
	#load $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $(TARGET_ARCH) $(OBJECTS) $(LDLIBS)

clean:
	if [ "$(GUIDEHOME)" ]; then \
		$(RM) $(SOURCES.G:%.G=%_ui.c) $(TARGETS.other) $(TARGETS.h) \
		$(OBJECTS) *.BAK *.delta core lib/*.a include/*.h \
		*% .make* .nse* *.po *.mo locale .sb/* ,*; \
		if [ -d send-pr ]; then \
			cd send-pr; \
			make clean; \
			cd ..; \
		fi;\
	else \
		$(RM) $(OBJECTS) *.BAK *.delta core lib/*.a include/*.h \
		*% .make* .nse* *.po *.mo locale .sb/* ,*; \
		if [ -d send-pr ]; then \
			cd send-pr; \
			make clean; \
			cd ..; \
		fi;\
	fi

%_ui.c: %.G
	@if [ "$(GUIDEHOME)" ]; then \
		if [ -f $*_stubs.c -a ! -w $*_stubs.c ]; then \
			$(RM) $*_stubs.c; \
			sccs edit -s $*_stubs.c; \
			$(GUIDEHOME)/bin/gxv $(GXVFLAGS) $*; \
			sccs delget -s -y"Generated by gxv" $*_stubs.c; \
		else \
			$(GUIDEHOME)/bin/gxv $(GXVFLAGS) $*; \
		fi \
	fi

%_ui.h: %_ui.c
	@touch $@

%_stubs.c: %_ui.c
	@touch $@

%.info: %_ui.c
	@touch $@

%_labels.po: %.c
	@$(RM) $*_labels.po

	@if [ `uname -r | cut -c1` = 4 ]; then \
		xgettext -n -p $(@D) -o $(@F) $*.c; \
		$(RM) $*_labels.po.po; \
	else \
		xgettext -n -j -p $(@D) $*.c; \
	fi

	@if [ ! -f  $*_labels.po ]; then \
		touch $*_labels.po; \
	fi

$(PL_LOCALEDIR)/%_labels.po: %_labels.po
	@cp $*_labels.po $(PL_LOCALEDIR)/$*_labels.po
	@echo "$(MP) -p $(PL_LOCALEDIR)/$*_labels.po"
	-@/bin/sh -c "cd $(PL_LOCALEDIR); $(MP) -p $*_labels.po"
	-@$(RM) $(PL_LOCALEDIR)/$*_labels.po

	@if [ ! -f  $(PL_LOCALEDIR)/$*_labels.po.new ]; then \
		touch  $(PL_LOCALEDIR)/$*_labels.po.new; \
	fi

	@if [ "$(OSVER)" = "4" ]; then \
		$(MV) $(PL_LOCALEDIR)/$*_labels.po.new \
			$(PL_LOCALEDIR)/$*_labels.po; \
	else \
		sed -e "s/msgstr\"/msgstr \"/g" \
			$(PL_LOCALEDIR)/$*_labels.po.new > \
			$(PL_LOCALEDIR)/$*_labels.po; \
		$(RM) $(PL_LOCALEDIR)/$*_labels.po.new; \
	fi

$(EEC_LOCALEDIR)/%_labels.po: %_labels.po
	@cp $*_labels.po $(EEC_LOCALEDIR)/$*_labels.po
	@echo "$(MP) -e $(EEC_LOCALEDIR)/$*_labels.po"
	-@/bin/sh -c "cd $(EEC_LOCALEDIR); $(MP) -e $*_labels.po"
	-@$(RM) $(EEC_LOCALEDIR)/$*_labels.po

	@if [ ! -f  $(EEC_LOCALEDIR)/$*_labels.po.new ]; then \
		touch  $(EEC_LOCALEDIR)/$*_labels.po.new; \
	fi

	@if [ "$(OSVER)" = "4" ]; then \
		$(MV) $(EEC_LOCALEDIR)/$*_labels.po.new \
			$(EEC_LOCALEDIR)/$*_labels.po; \
	else \
		sed -e "s/msgstr\"/msgstr \"/g" \
			$(EEC_LOCALEDIR)/$*_labels.po.new > \
			$(EEC_LOCALEDIR)/$*_labels.po; \
		$(RM) $(EEC_LOCALEDIR)/$*_labels.po.new; \
	fi

$(I18N_LOCALEDIR)/%_labels.po: %_labels.po
	@cp $*_labels.po $(I18N_LOCALEDIR)/$*_labels.po
	@echo "$(MP) -v 3 $(I18N_LOCALEDIR)/$*_labels.po"
	-@/bin/sh -c "cd $(I18N_LOCALEDIR); $(MP) -v 3 $*_labels.po"
	-@$(RM) $(I18N_LOCALEDIR)/$*_labels.po

	@if [ ! -f  $(I18N_LOCALEDIR)/$*_labels.po.new ]; then \
		touch  $(I18N_LOCALEDIR)/$*_labels.po.new; \
	fi

	@if [ "$(OSVER)" = "4" ]; then \
		$(MV) $(I18N_LOCALEDIR)/$*_labels.po.new \
			$(I18N_LOCALEDIR)/$*_labels.po; \
	else \
		sed -e "s/msgstr\"/msgstr \"/g" \
			$(I18N_LOCALEDIR)/$*_labels.po.new > \
			$(I18N_LOCALEDIR)/$*_labels.po; \
		$(RM) $(I18N_LOCALEDIR)/$*_labels.po.new; \
	fi

$(PL_LOCALEDIR)/%_labels.mo: $(PL_LOCALEDIR)/%_labels.po
	-@$(RM) $(PL_LOCALEDIR)/$*_labels.mo
	@echo "$(MF) $(PL_LOCALEDIR)/$*_labels.po"
	-@/bin/sh -c "cd $(PL_LOCALEDIR); $(MF) $*_labels.po"

	@if [ ! -f  $(PL_LOCALEDIR)/$*_labels.mo ]; then \
		touch  $(PL_LOCALEDIR)/$*_labels.mo; \
	fi

$(EEC_LOCALEDIR)/%_labels.mo: $(EEC_LOCALEDIR)/%_labels.po
	-@$(RM) $(EEC_LOCALEDIR)/$*_labels.mo
	@echo "$(MF) $(EEC_LOCALEDIR)/$*_labels.po"
	-@/bin/sh -c "cd $(EEC_LOCALEDIR); $(MF) $*_labels.po"

	@if [ ! -f  $(EEC_LOCALEDIR)/$*_labels.mo ]; then \
		touch  $(EEC_LOCALEDIR)/$*_labels.mo; \
	fi

$(I18N_LOCALEDIR)/%_labels.mo: $(I18N_LOCALEDIR)/%_labels.po
	-@$(RM) $(I18N_LOCALEDIR)/$*_labels.mo
	@echo "$(MF) $(I18N_LOCALEDIR)/$*_labels.po"
	-@/bin/sh -c "cd $(I18N_LOCALEDIR); $(MF) $*_labels.po"

	@if [ ! -f  $(I18N_LOCALEDIR)/$*_labels.mo ]; then \
		touch  $(I18N_LOCALEDIR)/$*_labels.mo; \
	fi

=== SUNWolsrc/root/usr/openwin/share/src/apps/moontool-3.0/Makefile ===

#   Make instructions for moon tool

PROG=	moontool
CFILES= moontool.c
OFILES= moontool.o
LIBS=	-lm -lsuntool -lsunwindow -lpixrect
ICONS=	moon.icon colormoon.icon

XPROG = xmoontool
XCFILES = xmoontool.c icongeom.c
XOFILES = xmoontool.o icongeom.o
XLIBS = -lm -lxview -lolgx -lXt -lX11
XPATHS = -I$(OPENWINHOME)/include -L$(OPENWINHOME)/lib -L$(X11)/lib
XICONS = moon_icon

SFILES= README moontool.1 xmoontool.1 Makefile \
	$(CFILES) $(XCFILES) $(ICONS) $(XICONS)

#CFLAGS= -O $(XPATHS)
CFLAGS = -pipe -O3 -m486 $(XPATHS)
#LDFLAGS= -O
LDFLAGS= -pipe -O3 -m486

all:	$(PROG) $(XPROG)

$(PROG): $(OFILES)
	$(CC) $(LDFLAGS) -o $@ $(OFILES) $(LIBS)
	rm -f core
	strip moontool

$(XPROG): $(XOFILES)
	$(CC) $(LDFLAGS) -o $@ $(XOFILES) $(XLIBS)
	rm -f core
	strip xmoontool

moontool.o: $(ICONS) 

clean:
	rm -f $(PROG) $(XPROG)
	rm -f *.o *.bak
	rm -f core cscope.out *.shar

manpage:
	nroff -man moontool.1 | more

xmanpage:
	nroff -man xmoontool.1 | more

lint:
	lint $(CFILES) $(LIBS)

shar:
	shar -b -v $(SFILES) >$(PROG).shar

=== SUNWolsrc/root/usr/openwin/share/src/apps/xdf-1.3.02/Makefile ===
#
# Makefile for "xdf"
#
# this makefile is configured for Linux-Systems and you might need to change some paths
# and options for other systems...
#
# on Linux systems "make ; make install" (run as superuser) should do everything
#

CXX=/opt/sfw/gcc-2/bin/g++
CC=/opt/sfw/gcc-2/bin/gcc
LINK.cc=$(CC)
#LIBSTDCXX = $(shell $(CXX) --print-file-name=libstdc++.a)
OPENWINHOME = /usr/openwin
CCFLAGS = -pipe -O3 -DOWTOOLKIT_WARNING_DISABLED
#CCFLAGS = -pipe -g
CPPFLAGS += $(CCFLAGS) -I /usr/openwin/include -I/usr/lib/g++-include -DMAIN
LDFLAGS += -R$(OPENWINHOME)/lib -L$(OPENWINHOME)/lib -L /usr/X11R6/lib 
LDLIBS +=  -Wl,-Bstatic -lstdc++ -Wl,-Bdynamic -lxview  -lX11 -lolgx

.KEEP_STATE:

PROGRAM = xdf
SOURCES.cc = xdf.cc
INSTALLPATH = /usr/openwin/bin
SOURCES.h = xdf.H
SOURCES.c = 
SOURCES.G =
STUBS.G =


SOURCES = \
	$(SOURCES.G) \
	$(SOURCES.l) \
	$(SOURCES.y) \
	$(SOURCES.c) \
	$(SOURCES.h) \
	$(SOURCES.cc)

TARGETS.cc = \
	$(SOURCES.G:%.G=%_ui.cc) \
	$(STUBS.G:%.G=%_stubs.cc)

TARGETS.h = \
	$(SOURCES.G:%.G=%_ui.h) \
	$(SOURCES.l:%.l=%.h) \
	$(SOURCES.y:%.y=%.h)

TARGETS.other = \
	$(SOURCES.G:%.G=%.info)

TARGETS = \
	$(TARGETS.other) \
	$(TARGETS.h) \
	$(TARGETS.cc)

OBJECTS = \
	$(SOURCES.c:%.c=%.o) \
	$(SOURCES.cc:%.cc=%.o) \
	$(TARGETS.cc:%.cc=%.o)
# Compiler flags.

debug:=CCFLAGS=-sb -g

# Standard targets.

#this target uses gxv++ to produce the ui file and is dependant on guide
debug all: init $(TARGETS.other) $(PROGRAM)
objects: $(SOURCES.c) $(SOURCES.h) $(SOURCES.cc) $(TARGETS.cc) $(TARGETS.h) $(OBJECTS)
sources: $(SOURCES)
targets: $(SOURCES) $(TARGETS)

init:
#	@-sccs get SCCS
# Next line removed to stop use of Guide
#	@-chmod +w window_stubs.cc window_ui.cc window_ui.h window.window.info


$(PROGRAM): $(SOURCES.c) $(SOURCES.cc) $(TARGETS.cc) $(TARGETS.h) $(OBJECTS)
	LD_RUN_PATH=$(OPENWINHOME)/lib $(LINK.cc) -o $@ $(OBJECTS) $(LDFLAGS) $(LDLIBS)

clean:
	@-$(RM) -rf .sb $(OBJECTS) $(PROGRAM) \
	  *.BAK *.delta core .prof .nm mon.out \
	  *.tcov *.d tags *~ 

#clean:
#	@-sccs clean
#	@-$(RM) -rf .sb $(SOURCES.G:%.G=%_ui.cc) \
#	  $(TARGETS.other) $(TARGETS.h) $(OBJECTS) $(PROGRAM) \
#	  *.BAK *.delta core .prof .nm mon.out \
#	  *.tcov *.d tags *~ 

# Don't use Guide
#%_ui.cc: %.G
#	$(GUIDEHOME)/bin/gxv++  $*
#
#%_ui.h: %_ui.cc
#	@touch $@
#
#%_stubs.cc: %_ui.cc
#	@touch $@
#
#%.info: %_ui.cc
#	@touch $@

recompile: clean all

build:
	@sccs get SCCS

ctags:
	ctags++ *.cc >/tmp/ctags 2>&1

install:
	cp $(PROGRAM) $(INSTALLPATH)
	chown root.root $(INSTALLPATH)/$(PROGRAM)
	chmod 755 $(INSTALLPATH)/$(PROGRAM)

run:
	./xdf

=== SUNWolsrc/root/usr/openwin/share/src/apps/xvset-0.90/Makefile ===
PROGNAME = xvset
VERSION = 0.90
CC 		= gcc
CFLAGS 	= -pipe -O2 -DOWTOOLKIT_WARNING_DISABLED
LINUX_CFLAGS = -m486
DEFINES =
LIBS= -lxview -lolgx -lX11
OPENWINHOME=/usr/openwin
BINDIR=$(OPENWINHOME)/bin
MANDIR=$(OPENWINHOME)/man/man1
HELPDIR=$(OPENWINHOME)/lib/help

all:
	@echo The following "make" targets are available: linux sunos

linux:
	$(CC) $(CFLAGS) $(LINUX_CFLAGS) $(PROGNAME).c -L$(OPENWINHOME)/lib -L/usr/X11/lib $(LIBS) -o $(PROGNAME)

sunos:
	$(CC) $(CFLAGS) $(PROGNAME).c -I$(OPENWINHOME)/include -R$(OPENWINHOME)/lib -L$(OPENWINHOME)/lib $(LIBS) -o $(PROGNAME)

clean:
	rm -f core $(PROGNAME) *%

dist: clean
	(cd .. && tar cf - $(PROGNAME)_$(VERSION) | \
	gzip -9c > $(PROGNAME)_$(VERSION).tar.gz)

install: all
	install -m 755 $(PROGNAME) $(BINDIR)

install.man:
	[ -f $(PROGNAME).1 ] && install -m 444 $(PROGNAME).1 $(MANDIR)
	[ -f $(PROGNAME).info ] && install -m 444 $(PROGNAME).info $(HELPDIR)

=== SUNWolsrc/root/usr/openwin/share/src/olit/oldials/Makefile ===
#	@(#)customer.mk	1.5	92/10/06 share/src/olit/oldials SMI	/* OLIT	*/
#
# Solaris 2.0 User Makefile for the OpenWindows OLIT oldials exmaple program
#

#
# 	Copyright (C) 1986,1992  Sun Microsystems, Inc
# 			All rights reserved.
#		Notice of copyright on this source code
# 		product does not indicate publication.
# 
# RESTRICTED RIGHTS LEGEND: Use, duplication, or disclosure by
# the U.S. Government is subject to restrictions as set forth
# in subparagraph (c)(1)(ii) of the Rights in Technical Data
# and Computer Software Clause at DFARS 252.227-7013 (Oct. 1988)
# and FAR 52.227-19 (c) (June 1987).
#
# This file is a product of Sun Microsystems, Inc. and is
# provided for unrestricted use provided that this legend is
# included on all media and as a part of the software
# program in whole or part.  Users may copy or modify this
# file without charge, but are not authorized to license or
# distribute it to anyone else except as part of a product or
# program developed by the user.
# 
# THIS FILE IS PROVIDED AS IS WITH NO WARRANTIES OF ANY KIND
# INCLUDING THE WARRANTIES OF DESIGN, MERCHANTIBILITY AND
# FITNESS FOR A PARTICULAR PURPOSE, OR ARISING FROM A COURSE
# OF DEALING, USAGE OR TRADE PRACTICE.
# 
# This file is provided with no support and without any
# obligation on the part of Sun Microsystems, Inc. to assist
# in its use, correction, modification or enhancement.
# 
# SUN MICROSYSTEMS, INC. SHALL HAVE NO LIABILITY WITH RESPECT
# TO THE INFRINGEMENT OF COPYRIGHTS, TRADE SECRETS OR ANY
# PATENTS BY THIS FILE OR ANY PART THEREOF.
# 
# In no event will Sun Microsystems, Inc. be liable for any
# lost revenue or profits or other special, indirect and
# consequential damages, even if Sun has been advised of the
# possibility of such damages.
# 
#	Sun Microsystems, Inc., 2550 Garcia Avenue,
#	Mountain View, California 94043.
#


#
# Source package description
#
COMMAND		= oldials
SOURCES.c	= oldials.c


#
# Environment set up
#

# If OPENWINHOME is not set, default to /usr/openwin for the location of 
# OpenWindows Version 3.1
OPENWINHOME$(OPENWINHOME) = /usr/openwin

DEFINES		=
		# -DDEBUG				if debugging

CFLAGS	       = -X c -v -O
		# -g		if debugging

LIBRARIES	= -lXol -lXt -lX11 -lXinput


#
# Derived macros
#
SOURCES		= $(SOURCES.c)
OBJECTS		= $(SOURCES:.c=.o)
INCLUDES	= -I$(OPENWINHOME)/include
CPPFLAGS       += $(DEFINES) $(INCLUDES)
LIBDIRS		= -L$(OPENWINHOME)/lib
LDFLAGS		= $(LIBDIRS) $(LIBRARIES)


#
# Rule sets
#
.KEEP_STATE:

all: $(COMMAND)

$(COMMAND): $(OBJECTS)
	$(CC) $(CFLAGS) $(CPPFLAGS) $(OBJECTS) $(LDFLAGS) -o $@

clean:
	$(RM) -r core $(OBJECTS) $(COMMAND) .make.state .nse_depinfo .sb

=== SUNWolsrc/root/usr/openwin/share/src/apps/WorkMan-1.3.4.17/debian/changelog ===
workman (1.3.4-17) unstable; urgency=low

  * moved pixmaps from /usr/X11R6/include to /usr/share
  * changed default compilation to add debug output
  * checked and updated to policy 3.6.1
  * declared PANEL_ACCEPT_KEYSTROKE to reenable Help with latest xlibs
  * excluded ia64 due to discontinued XView library support. Closes: #228966

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Sun, 19 Sep 2004 11:55:00 +0200

workman (1.3.4-16) unstable; urgency=low

  * fixed gcc-3.4 compilation problem.  Closes: #264254
  * fixed two minor problems in cdrom-based volume control
  * improved workbone to prepare its release as separate binary package

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Thu, 12 Aug 2004 18:50:00 +0200

workman (1.3.4-15) unstable; urgency=low

  * fixed nostrip compilation.  Closes: #228951
  * updated Brazilian Portugese translation from Andre Lopes.  Closes: #228254
  * cleaned up workbone part for future reunification

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Sat, 31 Jan 2004 21:50:00 +0200

workman (1.3.4-14) unstable; urgency=low

  * added new Spanish translation from translation team (#201127)
  * added new French translation from translation team (#201631)

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Mon, 21 Jul 2003 21:20:00 +0200

workman (1.3.4-13) unstable; urgency=low

  * fixed postinst script to accept all device locations (#197784)
  * added several checks in config and postinst scripts
  * adjusted German translation

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Sun, 13 Jul 2003 12:20:00 +0200

workman (1.3.4-12) unstable; urgency=low

  * added french translation from translation team (#185564)
  * checked and updated policy conformance
  * added missing removal of substvars by clean rule
  * added handle for a more comfortable saving of CDDB preferences
  * fixed bug in storing the protocol value to the rc file
  * fixed wrong location of one dismiss button
  * slight clean up of source
  * updated man pages and xview info file

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Mon, 12 May 2003 09:20:00 +0200

workman (1.3.4-11) unstable; urgency=low

  * added brazilian portuguese translation from Debian-BR Project (#179512)

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Thu, 06 Mar 2003 21:40:00 +0200

workman (1.3.4-10) unstable; urgency=low

  * fixed build dependencies (#170135)
  * Changed configuration script from vanilla to debconf
  * Added German templates and description
  * Adapted to new policy requirements

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Fri, 27 Dec 2002 14:00:00 +0200

workman (1.3.4-9) unstable; urgency=low

  * Added CDDB support by Nathan Rutman
  * Changed annoying warning message if mixer cannot be used (#112792)
  * Corrected spelling of 'address' in the user interface

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Sat, 6 Oct 2001 22:00:00 +0200

workman (1.3.4-8) unstable; urgency=low

  * Added symlink to the workmanrc man page (#99572)
  * Changed maintainer's address
  * Changed to GPG signing

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Mon, 2 Jul 2001 22:50:00 +0200

workman (1.3.4-7) unstable; urgency=low

  * Fixed postinst script (#90677)

 -- Volker Ossenkopf <ossk@zeus.ph1.uni-koeln.de>  Fri, 23 Mar 2001 22:30:00 +0200

workman (1.3.4-6) unstable; urgency=low

  * Corrected build-depends (#87226)

 -- Volker Ossenkopf <ossk@zeus.ph1.uni-koeln.de>  Mon, 26 Feb 2001 13:30:00 +0200

workman (1.3.4-5) unstable; urgency=low

  * Corrected menu entry (#86165)
  * Added build-depends (#85762)
  * Added __USE_GNU for alpha compile (#85872)
  * Corrected clean in Makefile
  * Switched from suidregister to dpkg-stateoverride compliance

 -- Volker Ossenkopf <ossk@zeus.ph1.uni-koeln.de>  Fri, 16 Feb 2001 23:30:00 +0200

workman (1.3.4-4) unstable; urgency=low

  * Changed file locations according to FHS 2.1.
  * Added icon for menu.
  * Include section and priority in the binary control (#84344).

 -- Volker Ossenkopf <ossk@zeus.ph1.uni-koeln.de>  Sat, 10 Feb 2001 21:20:00 +0200

workman (1.3.4-3) frozen; urgency=low

  * Added some redundancy in ATAPI error handling (#53753)
  * Added clarifying message when mixer access is denied (#55832)

 -- Volker Ossenkopf <ossk@zeus.ph1.uni-koeln.de>  Tue, 25 Mar 2000 22:20:00 +0200

workman (1.3.4-2) unstable; urgency=low

  * Fixed glibc2.1 compilation bug (#49320)
  * Corrected copyright file

 -- Volker Ossenkopf <ossk@zeus.ph1.uni-koeln.de>  Fri, 12 Nov 1999 22:40:00 +0200

workman (1.3.4-1) unstable; urgency=low

  * New upsteram version
  * Fixed permission problem using the cdrom group (#44105)
  * FHS file locations
  * Lintian 1.10 clean

 -- Volker Ossenkopf <ossk@zeus.ph1.uni-koeln.de>  Thu, 28 Oct 1999 23:00:00 +0200

workman (1.3b-4) unstable; urgency=low

  * Fixed another bug preventing compilation on Alpha (#39314)

 -- Volker Ossenkopf <ossk@zeus.ph1.uni-koeln.de>  Thu, 1 Jul 1999 23:40:00 +0200

workman (1.3b-3) unstable; urgency=low

  * Fixed error preventing compilation on Alpha (#39314)
  * Fixed wrong initialization of subtrack information (#39290)

 -- Volker Ossenkopf <ossk@zeus.ph1.uni-koeln.de>  Mon, 21 Jun 1999 23:20:00 +0200

workman (1.3b-2) unstable; urgency=low

  * Fixed errorneous treatment of xview toolkit options (#33137)
  * Fixed geometry-resizing bug with routine from latest snapshot
  * Removed compression of HTML documents (#31839)

 -- Volker Ossenkopf <ossk@zeus.ph1.uni-koeln.de>  Sat, 13 Feb 1999 21:20:00 +0200

workman (1.3b-1) unstable; urgency=low

  * New upstream version
  * Added ENXIO and window placement patches
  * Introduced modified version of open-empty-drive patch 

 -- Volker Ossenkopf <ossk@zeus.ph1.uni-koeln.de>  Sun, 30 Aug 1998 11:30:00 +0200

workman (1.3a-9) stable; urgency=low

  * Removed hard wired -m486 compile time option (#25768)

 -- Volker Ossenkopf <ossk@zeus.ph1.uni-koeln.de>  Thu, 27 Aug 1998 23:00:00 +0200

workman (1.3a-8) unstable; urgency=low

  * Added menu entry



=== SUNWolsrc/root/usr/openwin/share/src/apps/WorkMan-1.3.4.17/debian/control ===
Source: workman
Section: sound
Priority: optional
Build-Depends: xlibs-dev, xviewg-dev, groff, po-debconf
Maintainer: Volker Ossenkopf <ossk@ph1.uni-koeln.de>
Standards-Version: 3.6.1

Package: workman
Architecture: alpha arm hppa i386 m68k mips mipsel powerpc s390 sparc
Depends: ${shlibs:Depends}, debconf
Description: Graphical tool for playing audio CDs on a CD-ROM drive
 WorkMan can play and control audio CDs from a comfortable OpenLook
 interface. It can retrieve information about CDs from a CDDB server,
 store this information in a database, and extract it automatically
 when the CD is inserted later again.

=== SUNWolsrc/root/usr/openwin/share/src/apps/WorkMan-1.3.4.17/debian/rules ===
#!/usr/bin/make -f
# debian.rules file for workman
# Derived from the 'hello' sample files provided by Ian Jackson.

package=workman

# Destination for Debian program
DESTDIR = debian/tmp/usr
# Enable debug information by Debian policy
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
PASS='-O0 -DDEBUG'
else
PASS='-O2'
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
STRIP='-s'
else
STRIP=''
endif

# The simple rules

build:
	$(checkdir)
	$(MAKE) -f Makefile.linux PASS=$(PASS)
	touch build

clean:
	$(checkdir)
	-rm -f build workman
	-$(MAKE) -f Makefile.linux -i clean
	-rm -rf debian/tmp *~ debian/*~ debian/files* debian/substvars

# The binary package

binary-indep: 	checkroot build                                                 
	$(checkdir)                                                             
                                                                               
binary-arch:  	checkroot build                                                 
	$(checkdir)               
	-rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN 
	install -d $(DESTDIR)/share/doc/$(package) 
	install -d $(DESTDIR)/bin 
	install -d $(DESTDIR)/share/man/man1 $(DESTDIR)/share/man/man5
	install -d $(DESTDIR)/lib/menu
	install -d $(DESTDIR)/share/pixmaps
	install -d $(DESTDIR)/X11R6/lib/help
	install -m '0755' debian/config debian/tmp/DEBIAN/config
	install -m '0755' debian/postinst debian/tmp/DEBIAN/postinst
	install -m '0755' debian/postrm debian/tmp/DEBIAN/postrm
	install $(STRIP) -g cdrom -m '2755' workman $(DESTDIR)/bin/workman
	install -m '0644' workman.info $(DESTDIR)/X11R6/lib/help/workman.info
	install -m '0644' workman.man $(DESTDIR)/share/man/man1/workman.1
	install -m '0644' workmandb.man $(DESTDIR)/share/man/man5/workmandb.5
	gzip -9v $(DESTDIR)/share/man/man1/workman.1 $(DESTDIR)/share/man/man5/workmandb.5
	ln -s workmandb.5.gz $(DESTDIR)/share/man/man5/workmanrc.5.gz
	install -m '0644' debian/copyright $(DESTDIR)/share/doc/$(package)
	install -m '0644' debian/changelog $(DESTDIR)/share/doc/$(package)/changelog.Debian
	gzip -9v $(DESTDIR)/share/doc/$(package)/changelog.Debian
	install -m '0644' README $(DESTDIR)/share/doc/$(package)
	gzip -9v $(DESTDIR)/share/doc/$(package)/README
	install -d $(DESTDIR)/share/doc/$(package)/HTML
	install -m '0644' HTML/* $(DESTDIR)/share/doc/$(package)/HTML
	install -m '0644' debian/menu $(DESTDIR)/lib/menu/$(package)
	install -m '0644' debian/workman.xpm $(DESTDIR)/share/pixmaps
	dpkg-shlibdeps workman
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	chown root.cdrom $(DESTDIR)/bin/workman
	chmod '2755' $(DESTDIR)/bin/workman
	po2debconf debian/templates > debian/templates.merged
	mv debian/templates.merged debian/tmp/DEBIAN/templates
	dpkg --build debian/tmp ..

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

define checkdir
	test -f plat_linux.c
endef

.PHONY: binary binary-arch binary-indep clean checkroot
